RichSequence.Terms (BioJava-1.5-beta API)
Keywords: org.biojavax.bio.seq.RichSequence.Terms class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.seq
Class RichSequence.Terms

    java.lang.Object
      org.biojavax.bio.seq.RichSequence.Terms

Direct Known Subclasses:
  EMBLFormat.Terms, EMBLxmlFormat.Terms, GenbankFormat.Terms, INSDseqFormat.Terms, UniProtFormat.Terms, UniProtXMLFormat.Terms

Enclosing interface:
  RichSequence

    public static class RichSequence.Terms

extends Object

Stores a number of useful terms used across many sequence formats for consistency's sake.

Field Summary
`static String` | `DOI_KEY` Holds a reference to the key that must be used to store DOI references.
`static String` | `MEDLINE_KEY` Holds a reference to the key that must be used to store Medline references.
`static String` | `PLASMID_KEY`
`static String` | `PUBMED_KEY` Holds a reference to the key that must be used to store PubMed references.
`static String` | `SPECIES_KEY`
`static String` | `STRAIN_KEY`
`static String` | `TISSUE_KEY`
`static String` | `TRANSPOSON_KEY`

Constructor Summary
`RichSequence.Terms()`

Method Summary
`static ComparableTerm` | `getAdditionalAccessionTerm()` Getter for the secondary/tertiary/additional accession term
`static ComparableTerm` | `getCopyrightTerm()` Getter for the copyright term
`static ComparableTerm` | `getDataClassTerm()` Getter for the DataClass term
`static ComparableTerm` | `getDateAnnotatedTerm()` Getter for the date annotated term
`static ComparableTerm` | `getDateCreatedTerm()` Getter for the date created term
`static ComparableTerm` | `getDateUpdatedTerm()` Getter for the date updated term
`static ComparableTerm` | `getFeatureDescTerm()` Getter for the FeatureDesc term
`static ComparableTerm` | `getFTIdTerm()` Getter for the FTId term
`static ComparableTerm` | `getGeneNameTerm()` Getter for the GeneName term
`static ComparableTerm` | `getGeneSynonymTerm()` Getter for the GeneSynonym term
`static ComparableTerm` | `getKeywordTerm()` Getter for the keyword term
`static ComparableTerm` | `getMolTypeTerm()` getter for the MolType term
`static ComparableTerm` | `getOrderedLocusNameTerm()` Getter for the OrderedLocusName term
`static ComparableTerm` | `getORFNameTerm()` Getter for the ORFName term
`static ComparableTerm` | `getOrganelleTerm()` Getter for the Organelle term
`static ComparableTerm` | `getPlasmidTerm()` Getter for the Plasmid term
`static ComparableTerm` | `getRelAnnotatedTerm()` Getter for the release annotated term
`static ComparableTerm` | `getRelCreatedTerm()` Getter for the release created term
`static ComparableTerm` | `getRelUpdatedTerm()` Getter for the release updated term
`static ComparableTerm` | `getSpeciesTerm()` Getter for the Species term
`static ComparableTerm` | `getStrainTerm()` Getter for the Strain term
`static ComparableTerm` | `getStrandedTerm()` Getter for the Strand term
`static ComparableTerm` | `getTissueTerm()` Getter for the Tissue term
`static ComparableTerm` | `getTransposonTerm()` Getter for the Transposon term

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SPECIES_KEY

    public static String SPECIES_KEY

### STRAIN_KEY

    public static String STRAIN_KEY

### TISSUE_KEY

    public static String TISSUE_KEY

### TRANSPOSON_KEY

    public static String TRANSPOSON_KEY

### PLASMID_KEY

    public static String PLASMID_KEY

### PUBMED_KEY

    public static final String PUBMED_KEY

  Holds a reference to the key that must be used to store PubMed references.

  See Also:
    Constant Field Values

### MEDLINE_KEY

    public static final String MEDLINE_KEY

  Holds a reference to the key that must be used to store Medline references.

  See Also:
    Constant Field Values

### DOI_KEY

    public static final String DOI_KEY

  Holds a reference to the key that must be used to store DOI references.

  See Also:
    Constant Field Values

Constructor Detail

### RichSequence.Terms

    public RichSequence.Terms()

Method Detail

### getAdditionalAccessionTerm

    public static ComparableTerm getAdditionalAccessionTerm()

  Getter for the secondary/tertiary/additional accession term

  Returns:
    A Term that represents the secondary accession tag

### getKeywordTerm

    public static ComparableTerm getKeywordTerm()

  Getter for the keyword term

  Returns:
    a Term that represents the Keyword tag

### getDateCreatedTerm

    public static ComparableTerm getDateCreatedTerm()

  Getter for the date created term

  Returns:
    a Term

### getDateUpdatedTerm

    public static ComparableTerm getDateUpdatedTerm()

  Getter for the date updated term

  Returns:
    a Term

### getDateAnnotatedTerm

    public static ComparableTerm getDateAnnotatedTerm()

  Getter for the date annotated term

  Returns:
    a Term

### getRelCreatedTerm

    public static ComparableTerm getRelCreatedTerm()

  Getter for the release created term

  Returns:
    a Term

### getRelUpdatedTerm

    public static ComparableTerm getRelUpdatedTerm()

  Getter for the release updated term

  Returns:
    a Term

### getRelAnnotatedTerm

    public static ComparableTerm getRelAnnotatedTerm()

  Getter for the release annotated term

  Returns:
    a Term

### getMolTypeTerm

    public static ComparableTerm getMolTypeTerm()

  getter for the MolType term

  Returns:
    a Term that represents the molecule type

### getStrandedTerm

    public static ComparableTerm getStrandedTerm()

  Getter for the Strand term

  Returns:
    a Term that represents the Strand tag

### getOrganelleTerm

    public static ComparableTerm getOrganelleTerm()

  Getter for the Organelle term

  Returns:
    a Term that represents the Organelle tag

### getGeneNameTerm

    public static ComparableTerm getGeneNameTerm()

  Getter for the GeneName term

  Returns:
    The GeneName Term

### getGeneSynonymTerm

    public static ComparableTerm getGeneSynonymTerm()

  Getter for the GeneSynonym term

  Returns:
    The GeneSynonym Term

### getOrderedLocusNameTerm

    public static ComparableTerm getOrderedLocusNameTerm()

  Getter for the OrderedLocusName term

  Returns:
    The OrderedLocusName Term

### getORFNameTerm

    public static ComparableTerm getORFNameTerm()

  Getter for the ORFName term

  Returns:
    The ORFName Term

### getStrainTerm

    public static ComparableTerm getStrainTerm()

  Getter for the Strain term

  Returns:
    The Strain Term

### getSpeciesTerm

    public static ComparableTerm getSpeciesTerm()

  Getter for the Species term

  Returns:
    The Species Term

### getTissueTerm

    public static ComparableTerm getTissueTerm()

  Getter for the Tissue term

  Returns:
    The Tissue Term

### getTransposonTerm

    public static ComparableTerm getTransposonTerm()

  Getter for the Transposon term

  Returns:
    The Transposon Term

### getPlasmidTerm

    public static ComparableTerm getPlasmidTerm()

  Getter for the Plasmid term

  Returns:
    The plasmid Term

### getDataClassTerm

    public static ComparableTerm getDataClassTerm()

  Getter for the DataClass term

  Returns:
    The DataClass Term

### getFTIdTerm

    public static ComparableTerm getFTIdTerm()

  Getter for the FTId term

  Returns:
    The FTId Term

### getFeatureDescTerm

    public static ComparableTerm getFeatureDescTerm()

  Getter for the FeatureDesc term

  Returns:
    The FeatureDesc Term

### getCopyrightTerm

    public static ComparableTerm getCopyrightTerm()

  Getter for the copyright term

  Returns:
    The copyright Term

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD